## python-pyeole 2.7.2-18

=== Makefile ===
################################
# Makefile pour creole
################################

SOURCE=python-pyeole
EOLE_VERSION=2.7
EOLE_RELEASE=2.7.2

################################
# Début de zone à ne pas éditer
################################

include eole.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

## python-pyeole 2.5.2-9

=== debian/changelog ===
python-pyeole (2.5.2-9) eole-2.5-unstable; urgency=low

  [ Joël Cuissinat ]
  * [bfb5814] Possibilité de modifier les composants utilisés par les dépôts EOLE

  [ Daniel Dehennin ]
  * [91f36e2] Supprimer le temoin ifupdown
  * [2c883bf] Merge branch '2.4.0/14879-delete-if-lock-file'
  * [06e04b9] Merge branch 'master'

  [ EOLE Build Daemon ]
  * [ad5a9a1] Daniel Dehennin: Update package since “debian/eole/2.5.2-8”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 02 Feb 2016 15:52:09 +0100

python-pyeole (2.5.2-8) eole-2.5-unstable; urgency=low

  [ gwen ]
  * [94b7f99] ajout d'une fonction de suppression des accents des strings unicode, ref #14475 , @1h
  * [7144663] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [3f15746] gwen: Update package since “debian/eole/2.5.2-7”

 -- gwen <gremond@cadoles.com>  Mon, 18 Jan 2016 11:39:47 +0100

python-pyeole (2.5.2-7) eole-2.5-unstable; urgency=low

  [ Garette Emmanuel ]
  * [a88f70c] ajout d'un message indiquant le délai avant l'écriture des logs en cas de restauration (ref #12605 @1h)
  * [e0ecec7] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [498863f] Garette Emmanuel: Update package since “debian/eole/2.5.2-6”

 -- Garette Emmanuel <egarette@cadoles.com>  Mon, 18 Jan 2016 10:26:16 +0100

python-pyeole (2.5.2-6) eole-2.5-unstable; urgency=low

  [ Garette Emmanuel ]
  * [2117c61] afficher les messages d'erreurs de montage (ref #13686 @1h)
  * [04e5784] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [8774c85] Garette Emmanuel: Update package since “debian/eole/2.5.2-5”

 -- Garette Emmanuel <egarette@cadoles.com>  Mon, 18 Jan 2016 09:28:07 +0100

python-pyeole (2.5.2-5) eole-2.5-unstable; urgency=low

  [ Garette Emmanuel ]
  * [7954082] Ne pas faire apparaitre de message d'erreur en cas de montage manuel (ref #7979 @1h)
  * [9bbd71d] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [1a68b93] Garette Emmanuel: Update package since “debian/eole/2.5.2-4”

 -- Garette Emmanuel <egarette@cadoles.com>  Fri, 15 Jan 2016 17:10:51 +0100

python-pyeole (2.5.2-4) eole-2.5-unstable; urgency=low

  [ Garette Emmanuel ]
  * [c6dc489] si clamd est activé mais aucun service ne l'utilise, ne pas faire d'erreur diagnose (ref #4507 @2h)
  * [4833a57] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [9b94c69] Garette Emmanuel: Update package since “debian/eole/2.5.2-3”

 -- Garette Emmanuel <egarette@cadoles.com>  Fri, 15 Jan 2016 16:44:37 +0100

python-pyeole (2.5.2-3) eole-2.5-unstable; urgency=low

  [ Garette Emmanuel ]
  * [3e04530] la date doit être afficher avec la langue de la locale (ref #14659 @1h)
  * [4844e25] enregistrement de l'espace disque restant sur le support de sauvegarde (ref #13984 @5h)
  * [7ab6ced] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [32f33f1] Garette Emmanuel: Update package since “debian/eole/2.5.2-2”

 -- Garette Emmanuel <egarette@cadoles.com>  Fri, 15 Jan 2016 12:07:58 +0100

python-pyeole (2.5.2-2) eole-2.5-unstable; urgency=low

  [ Joël Cuissinat ]
  * [9fe84fb] Remplacement traceback antivirus par erreur dans diagnose
  * [117851f] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [9442bf6] Joël Cuissinat: Update package since “debian/eole/2.5.2-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 01 Dec 2015 11:58:29 +0100

python-pyeole (2.5.2-1) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [3416bdf] Release version 2.5.1
  * [1c6fcb3] Prepare version 2.5.2
  * [29f62ed] Merge tag 'release/2.5.2' into dist/eole/2.5/master
  * [42b7d76] Correction du diagnose « test_containers() »
  * [fcbe0e7] Merge branch '2.5.1/fix-diagnose-test_containers'
  * [8dab849] Merge branch '2.5.1/fix-diagnose-test_containers'

  [ Joël Cuissinat ]
  * [a91b4c5] Remplacement de smbfs par cifs pour les montages Bareos

  [ Garette Emmanuel ]
  * [6a8ee96] pyeole/pkg.py : _configure_sources_mirror : pouvoir forcer une release particulière à la configuration du fichier sources.list (ref #13996 @2h)
  * [42a2605] Merge branch '2.5.0/master' into 2.5.1/master
  * [3b0e8e5] Merge branch '2.5.1/master'
  * [169ee96] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [42b1c7b] Garette Emmanuel: Update package since “debian/eole/2.5.1_1-4”

 -- Garette Emmanuel <egarette@cadoles.com>  Mon, 16 Nov 2015 11:02:53 +0100

python-pyeole (2.5.1~1-4) eole-2.5-unstable; urgency=low

  [ Garette Emmanuel ]
  * [c6490db] vérification des liens symboliques lors de l'activation d'un service apache (ref #12912 @1h)
  * [bf5e9f7] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [d5d312b] Garette Emmanuel: Update package since “debian/eole/2.5.1_1-3”

 -- Garette Emmanuel <egarette@cadoles.com>  Tue, 15 Sep 2015 11:22:05 +0200

python-pyeole (2.5.1~1-3) eole-2.5-unstable; urgency=low

  [ Garette Emmanuel ]
  * [94550d9] restauration du catalogue pour sqlite et mysql (ref #12662)
  * [0d29b17] support de la restauration totale (ref 12662)
  * [16ee6de] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [a575fb2] Garette Emmanuel: Update package since “debian/eole/2.5.1_1-2”

 -- Garette Emmanuel <egarette@cadoles.com>  Mon, 31 Aug 2015 12:22:19 +0200

python-pyeole (2.5.1~1-2) eole-2.5-unstable; urgency=low

  [ Joël Cuissinat ]
  * [6dbc4c5] Prise en compte des paquets à enlever (marked_delete)
  * [e32ac08] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [ae78fa4] Joël Cuissinat: Update package since “debian/eole/2.5.1_1-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 28 Jul 2015 13:43:01 +0200

python-pyeole (2.5.1~1-1) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [7d0760b] Prepare version 2.5.1-a1
  * [a97ece5] Merge tag 'release/2.5.1_1' into dist/eole/2.5/master

  [ Garette Emmanuel ]


=== debian/control ===
Source: python-pyeole
Maintainer: Équipe Eole <eole@ac-dijon.fr>
Section: python
Priority: optional
Build-Depends: python-all,
               python-py,
               debhelper (>= 9)
Standards-Version: 3.9.3

Package: python-pyeole
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-creole-client (>= 2.5) | python-creole (>= 2.5),
         python-apt, python-dpkt,
         python-pyinotify, python-pyudev
Conflicts: creole (<=2.4.0-264)
Description: Librairie commune Eole
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet Eole a l'adresse suivante : 
 .
 http://eole.orion.education.fr

Package: pyeole-tests
Architecture: all
Depends: python-pyeole,
         creole,
         python-pytest,
	 ${misc:Depends}
Description: Tests py.test pour pyeole
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet a l'adresse suivante :
 .
 http://eole.orion.education.fr

Package: eole-fake
Section: metapackages
Architecture: all
Depends: ${misc:Depends}
Description: Paquet bidon pour les tests
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

## python-pyeole 2.7.2-18

=== debian/changelog ===
python-pyeole (2.7.2-18) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [44f7ee2] Maj-Auto mustn't stop if `/var/lib/apt/lists/partial` is missing
  * [81337d3] Merge branch '2.7.0/34302-maj-partial' into 2.7.2/master
  * [58f6c97] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [887522c] Joël Cuissinat: Update package since “debian/eole/2.7.2-17”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 16 Jun 2022 12:13:07 +0200

python-pyeole (2.7.2-17) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [1940da7] Merge branch '2.6.1/29354-cifs-mount' into 2.6.2/master
  * [d80ab8a] Merge branch '2.6.0/29586-resultat-bareos' into 2.6.2/master

  [ Laurent Gourvénec ]
  * [b5059c3] Ajout d'une fonction pour obtenir l'URI d'une source apt
  * [313a263] Merge branch '2.6.2/master' into 2.7.0/master
  * [2c93927] Merge branch '2.7.0/master' into 2.7.1/master
  * [86d6484] Merge branch '2.7.1/master' into 2.7.2/master
  * [d25e872] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [a73e5d8] Laurent Gourvénec: Update package since “debian/eole/2.7.2-16”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 09 Feb 2022 14:31:43 +0100

python-pyeole (2.7.2-16) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [01fcf61] si hostname est à None, le proxy doit retourner None (ref #32558)
  * [e970dbd] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [3c5e4c9] Emmanuel Garette: Update package since “debian/eole/2.7.2-15”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 02 Dec 2021 12:23:46 +0100

python-pyeole (2.7.2-15) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [4a898d7] fix error in Maj-Cd
  * [b227c41] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [68ed15d] Joël Cuissinat: Update package since “debian/eole/2.7.2-14”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 05 Oct 2021 18:04:05 +0200

python-pyeole (2.7.2-14) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [3c3c929] pkg.py : enable envole_version overwriting
  * [1de5f4b] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [adee2a2] Joël Cuissinat: Update package since “debian/eole/2.7.2-13”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 18 Aug 2021 16:43:31 +0200

python-pyeole (2.7.2-13) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [fecc402] corrections de la lecture estimation sauvegarde (ref #32701)
  * [bc30f37] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [abe00ec] Emmanuel Garette: Update package since “debian/eole/2.7.2-12”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 17 Jun 2021 15:46:16 +0200

python-pyeole (2.7.2-12) eole-2.7.2-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [0a0b2d6] correction lecture fichier estimation sauvegarde ref #32701
  * [a598d8a] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [f249f83] Matthieu Lamalle: Update package since “debian/eole/2.7.2-11”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Mon, 07 Jun 2021 10:20:45 +0200

python-pyeole (2.7.2-11) eole-2.7.2-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [cb3ef35] affichage date calcule taille sauvegarde ref #32631
  * [cd662c4] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [65596d3] Matthieu Lamalle: Update package since “debian/eole/2.7.2-10”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Fri, 04 Jun 2021 14:56:51 +0200

python-pyeole (2.7.2-10) eole-2.7.2-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [6bfb135] lecture estimate output depuis un fichier ref #32151
  * [bb0bbae] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [763fcf2] Matthieu Lamalle: Update package since “debian/eole/2.7.2-9”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Mon, 31 May 2021 09:24:47 +0200

python-pyeole (2.7.2-9) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [d144ef5] portage de ansiprint en python3 (ref #31358)
  * [2149599] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [a9731b9] Emmanuel Garette: Update package since “debian/eole/2.7.2-8”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 08 Dec 2020 12:16:08 +0100

python-pyeole (2.7.2-8) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [236a360] ajout de la methode de gestion des services restartonly (ref #30343)
  * [4e6226d] suppression de la methode de gestion de service 'network' (ref #30344)
  * [9146292] ajout de la methode 'restartonly' (ref #30343)
  * [73b5e4e] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [3ddeb39] Emmanuel Garette: Update package since “debian/eole/2.7.2-7”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 18 Jun 2020 08:39:28 +0200

python-pyeole (2.7.2-7) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [8b41635] Catch all exceptions while loading "resultat-bareos" file
  * [56b6f5d] Merge branch '2.6.0/29586-resultat-bareos' into 2.7.0/master
  * [454ba76] Merge branch '2.7.0/master' into 2.7.1/master
  * [de561cd] Merge branch '2.7.1/master' into 2.7.2/master
  * [d8979f9] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [bba8387] Joël Cuissinat: Update package since “debian/eole/2.7.2-6”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 16 Apr 2020 15:08:44 +0200

python-pyeole (2.7.2-6) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [a843f29] cifs mount options depending on the kernel version
  * [a1a2d1a] Merge branch '2.6.1/29354-cifs-mount' into 2.7.0/master
  * [5160dcd] Merge branch '2.7.0/master' into 2.7.1/master
  * [989a39d] Merge branch '2.7.1/master'


=== debian/control ===
--- 
+++ 
@@ -2,22 +2,53 @@
 Maintainer: Équipe Eole <eole@ac-dijon.fr>
 Section: python
 Priority: optional
-Build-Depends: python-all,
-               python-py,
+Build-Depends: dh-python,
+               python-all,
+               python-setuptools,
+               python3-all,
+               python3-setuptools,
                debhelper (>= 9)
 Standards-Version: 3.9.3
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 
 Package: python-pyeole
 Architecture: all
 Depends: ${python:Depends},
          ${misc:Depends},
+         pyeole-data,
          python-creole-client (>= 2.5) | python-creole (>= 2.5),
          python-apt, python-dpkt,
          python-pyinotify, python-pyudev
-Conflicts: creole (<=2.4.0-264)
 Description: Librairie commune Eole
  Pour toute information complementaire, veuillez vous rendre
- sur le site du Projet Eole a l'adresse suivante : 
+ sur le site du Projet Eole a l'adresse suivante :
+ .
+ http://eole.orion.education.fr
+
+Package: python3-pyeole
+Architecture: all
+Depends: ${python3:Depends},
+         ${misc:Depends},
+         pyeole-data,
+         python3-creole-client | python3-creole,
+         python3-apt,
+         python3-pyinotify, python3-pyudev
+Description: Librairie commune Eole pour Python3
+ Pour toute information complementaire, veuillez vous rendre
+ sur le site du Projet Eole a l'adresse suivante :
+ .
+ http://eole.orion.education.fr
+
+Package: pyeole-data
+Architecture: all
+Depends: ${misc:Depends},
+         gettext
+Replaces: python-pyeole (<= 2.7.0-10)
+Breaks: python-pyeole (<= 2.7.0-10)
+Description: Fichiers supplémentaires de la librairie pyeole
+ Pour toute information complementaire, veuillez vous rendre
+ sur le site du Projet Eole a l'adresse suivante :
  .
  http://eole.orion.education.fr
 
@@ -41,3 +72,10 @@
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.
 
+Package: eole-break
+Section: metapackages
+Architecture: all
+Depends: ${misc:Depends}
+Description: Paquet en erreur pour les tests
+ Pour toute information complémentaire, veuillez vous rendre sur le
+ site du projet EOLE.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export PYBUILD_NAME=pyeole
export PYBUILD_DISABLE_python2=test # désactive le lancement automatique des tests à la compilation
export PYBUILD_DISABLE_python3=test

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	make install DESTDIR=debian/tmp
	dh_auto_install

## python-pyeole 2.9.0-28

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 ################################
 
 SOURCE=python-pyeole
-EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.2
+EOLE_VERSION=2.9
+EOLE_RELEASE=2.9.0
 
 ################################
 # Début de zone à ne pas éditer

=== debian/changelog ===
python-pyeole (2.9.0-28) eole-2.9.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [26eecdf] Python3-pyeole: ajout dépendance manquante vers python3-eoledb

  [ EOLE Build Daemon ]
  * [519a390] Laurent Gourvénec: Update package since “debian/eole/2.9.0-27”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Mon, 15 Sep 2025 15:22:18 +0200

python-pyeole (2.9.0-27) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [13d3f94] Upgrade-Auto: Pouvoir générer un sources.list sans Envole (ref #36971)
  * [ffbba3c] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [cf4fdab] Emmanuel Garette: Update package since “debian/eole/2.9.0-26”

 -- Emmanuel Garette <egarette@silique.fr>  Fri, 18 Jul 2025 15:12:11 +0200

python-pyeole (2.9.0-26) eole-2.9.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [df05655] Fix regexp du commonName des certifs
  * [4c3f69b] Fix cas où un certif n'a pas de commonName
  * [673d45c] Merge remote-tracking branch 'origin/2.8.1/master' into 2.9.0/master
  * [31927c3] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [56f6289] Laurent Gourvénec: Update package since “debian/eole/2.9.0-25”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Thu, 16 Jan 2025 16:29:51 +0100

python-pyeole (2.9.0-25) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [21694d7] fix (ref #36362)
  * [1d460a7] Merge branch '2.8.1/master' into 2.9.0/master
  * [1102748] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [ff52e95] Emmanuel Garette: Update package since “debian/eole/2.9.0-24”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 31 Dec 2024 12:37:40 +0100

python-pyeole (2.9.0-24) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [b23a0b2] Cas fichier 'resultat-bareos-freespace' vide
  * [64b887e] pyeole/bareos.py : code cleaning

  [ Emmanuel Garette ]
  * [1f9a6a4] mise en commun de la fonction qui liste les certificats (ref #36362)
  * [99f2caf] Merge branch '2.8.1/master' into 2.9.0/master
  * [48a7235] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [90da343] Emmanuel Garette: Update package since “debian/eole/2.9.0-23”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 31 Dec 2024 12:06:18 +0100

python-pyeole (2.9.0-23) eole-2.9.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [468fe06] Don't disable ssh in 2.9 otherwise the next restart might fail
  * [eaa44da] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [6e1cceb] Laurent Gourvénec: Update package since “debian/eole/2.9.0-22”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Tue, 11 Jun 2024 12:11:12 +0200

python-pyeole (2.9.0-22) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [e51e966] Erreur diagnose decode utf-8 certificat.
    Thanks to @tricci
  * [ab4177b] Merge branch '2.8.1/master'
  * [4ab31d0] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [ce25cf6] Joël Cuissinat: Update package since “debian/eole/2.9.0-21”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 11 Jul 2023 09:48:25 +0200

python-pyeole (2.9.0-21) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [c08b9d6] python3-pyeole : add python3-apt dependency

  [ EOLE Build Daemon ]
  * [0ebe432] Joël Cuissinat: Update package since “debian/eole/2.9.0-20”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 15 Jun 2023 18:08:20 +0200

python-pyeole (2.9.0-20) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [e8878c0] Affichage d’une aide en cas de DNS manquants ou superflus.

  [ Joël Cuissinat ]
  * [44d3cef] fix(iso.py) : add EOLE 2.9.0 support
  * [a38544e] Merge branch '2.8.0/master' into 2.8.1/master
  * [76b9c7c] Merge branch '2.8.1/master'
  * [be0a9d1] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [7a1c2ef] Joël Cuissinat: Update package since “debian/eole/2.9.0-19”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Sat, 10 Jun 2023 09:48:58 +0200

python-pyeole (2.9.0-19) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [1b6c53b] Affichage d’une aide en cas de DNS manquants ou superflus.
  * [352cba6] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [603247a] Benjamin Bohard: Update package since “debian/eole/2.9.0-18”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 09 May 2023 14:00:17 +0200

python-pyeole (2.9.0-18) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [b3b613b] Extraire le sujet principal et les noms alternatifs du certificat.
  * [17b0e1b] Merge branch '2.8.1/master'
  * [e01d005] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [47e70db] Benjamin Bohard: Update package since “debian/eole/2.9.0-17”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 25 Apr 2023 15:00:49 +0200

python-pyeole (2.9.0-17) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [0e39210] Cas spécial de l’utilisation des dépôts test-eole.ac-dijon.fr (II)
  * [bf38f86] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [9417e1f] Joël Cuissinat: Update package since “debian/eole/2.9.0-16”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 25 Nov 2022 15:32:40 +0100

python-pyeole (2.9.0-16) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [7f68868] Ne pas utiliser le magasin de certificats lors du test de chaîne.
  * [597dfc0] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [576a870] Benjamin Bohard: Update package since “debian/eole/2.9.0-15”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 23 Nov 2022 15:19:51 +0100

python-pyeole (2.9.0-15) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [cedc481] Les services du type restartonly ne sont jamais arrêtés.


=== debian/control ===
--- 
+++ 
@@ -12,20 +12,6 @@
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
-Package: python-pyeole
-Architecture: all
-Depends: ${python:Depends},
-         ${misc:Depends},
-         pyeole-data,
-         python-creole-client (>= 2.5) | python-creole (>= 2.5),
-         python-apt, python-dpkt,
-         python-pyinotify, python-pyudev
-Description: Librairie commune Eole
- Pour toute information complementaire, veuillez vous rendre
- sur le site du Projet Eole a l'adresse suivante :
- .
- http://eole.orion.education.fr
-
 Package: python3-pyeole
 Architecture: all
 Depends: ${python3:Depends},
@@ -33,7 +19,13 @@
          pyeole-data,
          python3-creole-client | python3-creole,
          python3-apt,
-         python3-pyinotify, python3-pyudev
+         python3-dpkt,
+         python3-packaging,
+         python3-pyinotify,
+         python3-pyudev,
+         python3-eoledb
+Replaces: python-pyeole
+Breaks: python-pyeole
 Description: Librairie commune Eole pour Python3
  Pour toute information complementaire, veuillez vous rendre
  sur le site du Projet Eole a l'adresse suivante :
@@ -54,9 +46,8 @@
 
 Package: pyeole-tests
 Architecture: all
-Depends: python-pyeole,
-         creole,
-         python-pytest,
+Depends: python3-pyeole,
+         python3-pytest,
 	 ${misc:Depends}
 Description: Tests py.test pour pyeole
  Pour toute information complementaire, veuillez vous rendre

## python-pyeole 2.10.0-18

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 ################################
 
 SOURCE=python-pyeole
-EOLE_VERSION=2.9
-EOLE_RELEASE=2.9.0
+EOLE_VERSION=2.10
+EOLE_RELEASE=2.10.0
 
 ################################
 # Début de zone à ne pas éditer

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyeole.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyeole.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyeole"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyeole"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-pyeole (2.10.0-18) eole-2.10.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [8ecf914] Python3-pyeole: ajout dépendance manquante vers python3-eoledb

  [ EOLE Build Daemon ]
  * [c2a83aa] Laurent Gourvénec: Update package since “debian/eole/2.10.0-17”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Mon, 15 Sep 2025 15:28:23 +0200

python-pyeole (2.10.0-17) eole-2.10-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [df05655] Fix regexp du commonName des certifs
  * [4c3f69b] Fix cas où un certif n'a pas de commonName
  * [673d45c] Merge remote-tracking branch 'origin/2.8.1/master' into 2.9.0/master
  * [62d247b] Merge remote-tracking branch 'origin/2.9.0/master'
  * [4bf59ba] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [6f5a92c] Laurent Gourvénec: Update package since “debian/eole/2.10.0-16”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Thu, 16 Jan 2025 16:30:28 +0100

python-pyeole (2.10.0-16) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [21694d7] fix (ref #36362)
  * [1d460a7] Merge branch '2.8.1/master' into 2.9.0/master
  * [a714830] Merge branch '2.9.0/master'
  * [8259845] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [8616046] Emmanuel Garette: Update package since “debian/eole/2.10.0-15”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 31 Dec 2024 12:38:00 +0100

python-pyeole (2.10.0-15) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [18a27d2] suppression des fonctions test_cert et test_certs (ref #36363)
  * [ab60adb] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [3d8c3d5] Emmanuel Garette: Update package since “debian/eole/2.10.0-14”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 31 Dec 2024 12:09:53 +0100

python-pyeole (2.10.0-14) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [b23a0b2] Cas fichier 'resultat-bareos-freespace' vide
  * [64b887e] pyeole/bareos.py : code cleaning

  [ Emmanuel Garette ]
  * [1f9a6a4] mise en commun de la fonction qui liste les certificats (ref #36362)
  * [99f2caf] Merge branch '2.8.1/master' into 2.9.0/master
  * [201c2a6] Merge branch '2.9.0/master'
  * [7b3917a] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [8b34ec0] Emmanuel Garette: Update package since “debian/eole/2.10.0-13”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 31 Dec 2024 12:06:58 +0100

python-pyeole (2.10.0-13) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [1a0b167] tester la récupération des informations des groupes de conteneur lorsqu'on utilise -i dans Maj-Auto (ref #36089)
  * [b1170db] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [090e38d] Emmanuel Garette: Update package since “debian/eole/2.10.0-12”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 03 Sep 2024 17:17:36 +0200

python-pyeole (2.10.0-12) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [d698f24] mettre un timeout sur pyclamd (ref #36127)
  * [963c4e8] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [461c02c] Emmanuel Garette: Update package since “debian/eole/2.10.0-11”

 -- Emmanuel Garette <egarette@silique.fr>  Wed, 07 Aug 2024 12:01:22 +0200

python-pyeole (2.10.0-11) eole-2.10-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [30be0f1] dummy commit
  * [2273338] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [211b60f] Laurent Gourvénec: Update package since “debian/eole/2.10.0-10”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Tue, 11 Jun 2024 12:31:24 +0200

python-pyeole (2.10.0-10) eole-2.10.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [468fe06] Don't disable ssh in 2.9 otherwise the next restart might fail
  * [99b95e8] Merge branch '2.9.0/master'
  * [b07eccd] Revert "Don't disable ssh in 2.9 otherwise the next restart might fail"
  * [861351e] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [3b22e3c] Laurent Gourvénec: Update package since “debian/eole/2.10.0-9”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Tue, 11 Jun 2024 12:20:03 +0200

python-pyeole (2.10.0-9) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [94d7ac4] Remplacer warn par warning.
  * [b3414d1] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [5c2eeeb] Benjamin Bohard: Update package since “debian/eole/2.10.0-8”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 14 May 2024 09:46:20 +0200

python-pyeole (2.10.0-8) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [aa1c36d] Échapper les backslashs.
  * [4798aed] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [ef648a3] Benjamin Bohard: Update package since “debian/eole/2.10.0-7”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 13 May 2024 16:31:41 +0200

python-pyeole (2.10.0-7) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [ec52f49] Utiliser les dates avec fuseau horaire explicite.
  * [9996d61] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [0db1f0a] Benjamin Bohard: Update package since “debian/eole/2.10.0-6”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 13 May 2024 15:46:32 +0200

python-pyeole (2.10.0-6) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [f209f88] La fonction quote est fournie par le module shlex
  * [f58c70f] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [66f3be4] Benjamin Bohard: Update package since “debian/eole/2.10.0-5”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 13 May 2024 10:32:00 +0200

python-pyeole (2.10.0-5) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [1982352] Utiliser locale.getlocale pour récupérer la langue du système.
  * [d8ac2a9] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]


=== debian/control ===
--- 
+++ 
@@ -3,8 +3,6 @@
 Section: python
 Priority: optional
 Build-Depends: dh-python,
-               python-all,
-               python-setuptools,
                python3-all,
                python3-setuptools,
                debhelper (>= 9)
@@ -24,8 +22,6 @@
          python3-pyinotify,
          python3-pyudev,
          python3-eoledb
-Replaces: python-pyeole
-Breaks: python-pyeole
 Description: Librairie commune Eole pour Python3
  Pour toute information complementaire, veuillez vous rendre
  sur le site du Projet Eole a l'adresse suivante :
@@ -36,8 +32,6 @@
 Architecture: all
 Depends: ${misc:Depends},
          gettext
-Replaces: python-pyeole (<= 2.7.0-10)
-Breaks: python-pyeole (<= 2.7.0-10)
 Description: Fichiers supplémentaires de la librairie pyeole
  Pour toute information complementaire, veuillez vous rendre
  sur le site du Projet Eole a l'adresse suivante :

=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,17 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 export PYBUILD_NAME=pyeole
-export PYBUILD_DISABLE_python2=test # désactive le lancement automatique des tests à la compilation
 export PYBUILD_DISABLE_python3=test
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_install:
 	make install DESTDIR=debian/tmp
 	dh_auto_install
+
+override_dh_builddeb:
+	# Make package compatible with older version
+	dh_builddeb -- -Zgzip -Srle
+
+.PHONY: override_dh_auto_install override_dh_builddeb
